Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06371 Save/Restore Critical (emulator) Always Sep 5, 2016, 22:49 Sep 16, 2016, 07:26
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver 8080bw.cpp
Version 0.177 Fixed in Version 0.178 Build Normal
Summary 06371: schasercv: Crashes on reload (-str 8) in a staggered -str 20 run
Description
Exception at EIP=00000000026823a8 (discrete_device::write(address_space&, unsigned int, unsigned char, unsigned char)+0x0018): ACCESS VIOLATION
While attempting to read memory at 0000000000000390
-----------------------------------------------------
Stack crawl:
  0000000000228390: 00000000026823a8 (discrete_device::write(address_space&, unsigned int, unsigned char, unsigned char)+0x0018)
  0000000000228420: 00000000009d5ac3 (_8080bw_state::schaser_reinit_555_time_remain()+0x0083)
  00000000002284c0: 0000000002c15ab0 (save_manager::read_file(emu_file&)+0x01c0)
  0000000000228910: 0000000002bdc26d (running_machine::handle_saveload()+0x044d)
  0000000000228990: 0000000002bdfdb0 (running_machine::run(bool)+0x02e0)
  000000000022f3b0: 000000000181efef (mame_machine_manager::execute()+0x015f)
  000000000022f8b0: 00000000018833d1 (cli_frontend::execute(int, char**)+0x0fa1)
  000000000022f920: 000000000181dcc5 (emulator_info::start_frontend(emu_options&, osd_interface&, int, char**)+0x0035)
  000000000022fd60: 000000000177d3bb (utf8_main(int, char**)+0x012b)
  000000000022fe50: 000000000300322c (wmain+0x018c)
  000000000022ff20: 000000000040140c (__tmainCRTStartup+0x025c)
  000000000022ff50: 000000000040153b (mainCRTStartup+0x001b)
  000000000022ff80: 0000000076ab59bd (BaseThreadInitThunk+0x000d)
  000000000022ffd0: 0000000076cea2e1 (RtlUserThreadStart+0x0021)
Steps To Reproduce clear any nvram/sta files for schasercv
== mame schasercv -autosave -str 4
let run and return to prompt
== mame schasercv -autosave -str 8
crash happens
Additional Information
Flags
Regression Version 0.175
Affected Sets / Systems schasercv
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.13115
NekoEd
Senior Tester
Sep 6, 2016, 02:40
Confirmed, SDLMAME64 0.177 on Linux/x64.